clang 8.0.0

Public Member Functions | List of all members
clang::FunctionParmMutationAnalyzer Class Reference

`#include "clang/Analysis/Analyses/ExprMutationAnalyzer.h"`

## Public Member Functions
| FunctionParmMutationAnalyzer (const FunctionDecl &Func, ASTContext &Context)
bool | isMutated (const ParmVarDecl *Parm)
const Stmt * | findMutation (const ParmVarDecl *Parm)

## Detailed Description

Definition at line 80 of file ExprMutationAnalyzer.h.

## Constructor & Destructor Documentation

## ◆ FunctionParmMutationAnalyzer()

clang::FunctionParmMutationAnalyzer::FunctionParmMutationAnalyzer | ( | const FunctionDecl & | Func,
|  | ASTContext & | Context
| ) |  |

Definition at line 415 of file ExprMutationAnalyzer.cpp.

## Member Function Documentation

## ◆ findMutation()

const Stmt * clang::FunctionParmMutationAnalyzer::findMutation | ( | const ParmVarDecl * | Parm | ) |

Definition at line 434 of file ExprMutationAnalyzer.cpp.

References clang::if().

## ◆ isMutated()

bool clang::FunctionParmMutationAnalyzer::isMutated | ( | const ParmVarDecl * | Parm | ) |
| inline

Definition at line 84 of file ExprMutationAnalyzer.h.

References clang::ExprMutationAnalyzer::findMutation().

The documentation for this class was generated from the following files:

- include/clang/Analysis/Analyses/ExprMutationAnalyzer.h
- lib/Analysis/ExprMutationAnalyzer.cpp